LRINT(3)

NAME
llrint, llrintf, llrintl, lrint, lrintf, lrintl - convert to integer

SYNOPSIS
libm
#include <math.h>
long long
llrint(double x);
long long
llrintf(float x);
long long
llrintl(long double x);
long
lrint(double x);
long
lrintf(float x);
long
lrintl(long double x);

DESCRIPTION
The lrint() function returns the integer nearest to its argument x according to the current rounding mode.

The llrint(), llrintf(), llrintl(), lrintf(), and lrintl() functions differ from lrint() only in their input and output types.

RETURN VALUES
The llrint, llrintf, llrintl, lrint, lrintf, and lrintl functions return the integer nearest to their argument x according to the current rounding mode. If the rounded result is too large to be represented as a long long or long value, respectively, the return value is undefined.

SEE ALSO
lround(3), rint(3)

STANDARDS
The llrint(), llrintf(), llrintl(), lrint(), lrintf(), and lrintl() functions conform to isoC-99.